routes/web.php
<?php

use App\Http\Controllers\Web\Admin\{
    CustomerController, OrderController, ProductController, UserController
};
use App\Http\Controllers\Web\AuthController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::redirect('/', '/admin', 201);

Route::group(['prefix' => 'admin'], function () {
    Route::group(['middleware' => ['guest']], function () {
        Route::post('login',[AuthController::class,'login'])->name('login');
        Route::view('/login','pages.login');
    });

    Route::group(['middleware' => ['auth']], function () {
        Route::view('/', 'index')->name('index');
        Route::view('dashboard', 'index')->name('dashboard');
        Route::resource('customers', CustomerController::class);
        Route::resource('products', ProductController::class);
        Route::resource('orders', OrderController::class);
        Route::resource('users', UserController::class);
    });

});

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'username',
        'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];
}

app/Http/Controllers/Web/Admin/UserController.php
<?php

namespace App\Http\Controllers\Web\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Web\Admin\UserRequest;
use App\Models\Role;
use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Validation\Rule;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $users = User::get();
        return view('pages.users.index',compact('users'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $edit = false;
        $readonly = false;
        return view('pages.users.edit-add',compact('readonly','edit'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'username'=>['required','unique:users,username'],
            'name'=>['required','string'],
            'password' =>'required|confirmed',
            "password_confirmation" => ["string", "required"],
        ]);
        $data = $request->except(['_token']);
        $data['password'] = bcrypt($data['password']);
        $user = User::create($data);
        return redirect()->route('users.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $user = User::find($id);
        $readonly = true;
        $edit = false;
        return view('pages.users.edit-add',compact('user','readonly','edit'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $user = User::findOrFail($id);
        $edit = true;
        $readonly = false;
        return view('pages.users.edit-add',compact('user','edit','readonly'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'username'=>['required',Rule::unique('users')->ignore($id)],
            'name'=>['required','string'],
            'password' =>'confirmed',
            'password_confirmation' => 'required_with:password'
        ]);
        $data = $request->except(['_method','_token']);
        if ($request->has('password')) {
            $data['password'] = bcrypt($data['password']);
        }
        $user = User::findOrFail($id)->update($data);
        return redirect()->route('users.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        User::destroy($id);
        return redirect()->route('users.index');
    }
}

resources/views/pages/users/edit-add.blade.php
<x-layout.form :title="__('Add Users')">
    <div class="row">
        <div class="col-xl-12">
            <div class="card-box">
                {{-- <h4 class="header-title mt-0 mb-3">Horizontal Form</h4> --}}

                <form class="form-horizontal" user="form" method="POST" action="{{($edit?? false) ?route('users.update',['user'=>$user->id]):  route('users.store') }}" data-parsley-validate novalidate autocomplete="off">
                    @if ($edit)
                        @method('put')
                    @endif
                    @if ($readonly)
                        @method('get')
                    @endif
                    @csrf
                    <div class="form-group row">
                        <div class="col-md-6">
                            <label for="name">{{__('Name')}}*</label>
                            <x-UI.forms.input :readonly=$readonly name="name" :value="old('name',$user['name']??'')" :placeholder="__('Name')" />
                        </div>
                        <div class="form-group col-md-6">
                            <label for="username">{{__('Username')}}*</label>
                            <x-UI.forms.input :readonly=$readonly name="username" :value="old('username',$user['username']??'')" :placeholder="__('Username')" />
                        </div>
                    </div>

                    @if (!$edit && !$readonly)
                    <div class="row d-flex justify-content-center">
                        <div class="form-group col-md-6">
                            <label for="username">{{__('Password')}}*</label>
                            <x-UI.forms.input name="password" :placeholder="__('Password')"  />
                        </div>
                        <div class="form-group col-md-6">
                            <label for="username">{{__('Confirm Password')}}*</label>
                            <x-UI.forms.input name="password_confirmation" :placeholder="__('Confirm Password')" />
                        </div>
                    </div>
                    @endif


                    <div class="form-group row mt-5">
                        <div class="offset-sm-4 col-sm-8">
                            @if (!$readonly)
                            <button type="submit" class="btn btn-primary waves-effect waves-light mr-1">
                                {{ ($edit ? __('Edit'):__('Add',['attr'=>' '])) }}
                            </button>
                            @endif
                            <a  href="{{route('users.index')}}"
                                    class="btn btn-secondary waves-effect waves-light">
                                {{__('Back')}}
                            </a>
                        </div>
                    </div>

                </form>
            </div>
        </div><!-- end col -->
    </div>
</x-layout.form>

resources/views/pages/users/index.blade.php
<x-layout.data-table title="{{__('Users')}}">
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="d-inline-block mt-0 header-title mb-2">
                    <div class="float-left">
                        <a href="{{route('users.create')}}" class="btn btn-success waves-effect  waves-light">
                            <i class="fas fa-plus"></i>
                            {{__('Add User')}}
                        </a>
                    </div>
                </div>
                <div class=" dt-responsive">
                    <table id="datatable" class="table table-bordered dt-responsive nowrap mt-5">
                        <thead>
                        <tr>
                            <th>{{__('Name')}}</th>
                            <th>{{__('Username')}}</th>
                            <th>{{__('Created At')}}</th>
                            <th data-orderable="false">{{__('Actions')}}</th>
                        </tr>
                        </thead>


                        <tbody>
                            @foreach ($users as $user)
                            <tr>
                                <td>{{$user->name}}</td>
                                <td>{{$user->username}}</td>
                                <td>{{$user->created_at}}</td>
                                <td>
                                    <a href="{{route('users.show',['user'=>$user->id])}}" class="btn btn-info waves-effect btn-sm waves-light">
                                        <i class="far fa-eye"></i>
                                        {{__('View')}}
                                    </a>
                                    <a href="{{route('users.edit',['user'=>$user->id])}}" class="btn btn-warning waves-effect btn-sm waves-light">
                                        <i class=" fas fa-edit"></i>
                                        {{__('Edit')}}
                                    </a>
                                    @if ($user->id != user()->id)
                                    <a  href="javascript" onclick="$('#modal-form').attr('action','{{route('users.destroy',['user'=>$user->id])}}');
                                        $('#delete-name').text('{{$user->name}}')""  data-toggle="modal" data-target="#modal" class="btn btn-danger  waves-effect btn-sm waves-light">
                                        <i class="fas fa-trash"></i>
                                        {{__('Delete')}}
                                    </a>
                                    @endif
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
    </div>
    <x-UI.modal.scroll-modal :title="__('Delete',['attr'=>__('User')])" :body="__('User')"/>

</x-layout.data-table >